A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
sparseGetStorage
ArrayFire Functions | ArrayFire Functions by Category » Linear Algebra » Sparse functions

Returns the storage type of a sparse array More...

## Functions
AFAPI af::storage | sparseGetStorage (const array in)
AFAPI af_err | af_sparse_get_storage (af_storage *out, const af_array in)

## Detailed Description

Returns the storage type of a sparse array

The af::storage type of the format of data storage in the sparse array.

## Function Documentation

## ◆ af_sparse_get_storage()

AFAPI af_err af_sparse_get_storage | ( | af_storage * | out,
|  | const af_array | in )

Parameters

  [out] | out | contains af_storage for the storage type of the sparse array
  [in] | in | is the input sparse matrix

Returns
  AF_SUCCESS if the execution completes properly

## ◆ sparseGetStorage()

AFAPI af::storage sparseGetStorage | ( | const array | in | ) |

Parameters

  [in] | in | is the input sparse matrix

Returns
  af::storage for the storage type of the sparse array